'use strict';

var defaultOptions = {
    addPrefixToSelector: null, // customized function for joining prefix and selector
    prefixType: 'attribute' // type of dir-prefix: attribute [dir] or class .dir
};

var validateOptions = function validateOptions() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var addPrefixToSelector = options.addPrefixToSelector,
        prefixType = options.prefixType;

    var fixedOptions = {};

    if (addPrefixToSelector && typeof addPrefixToSelector !== 'function') {
        fixedOptions.addPrefixToSelector = null;
        console.warn('Incorrect **addPrefixToSelector option. Must be a function');
    }
    if (prefixType && ['attribute', 'class'].indexOf(prefixType) < 0) {
        fixedOptions.prefixType = 'attribute';
        console.warn('Incorrect prefixType option. Allowed values: attribute, class');
    }
    return Object.assign({}, defaultOptions, options, fixedOptions);
};

module.exports = {
    validateOptions: validateOptions
};